.contact {
  z-index: 1;
  position: relative;
  box-sizing: border-box;
  width: calc(100% - 32px);
  max-width: 910px;
  margin: 0 auto;
  padding: 20px 14px;
  border: 1px solid #00000033;
  background: #fff;
}

.contact__title {
  margin-bottom: 20px;
  font-family: Roboto;
  font-size: 40px;
  font-weight: 700;
  line-height: 48px;
  text-align: center;
  color: #0F172A;
}

.form {}

.form__item {
  position: relative;
  margin-bottom: 2px;
}

.form__label {
  margin-bottom: 6px;
  font-family: Roboto;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  text-align: left;
  color: #0D0D15;
}

.form__input {
  display: block;
  box-sizing: border-box;
  padding: 10px 12px;
  width: 100%;
  margin-bottom: 2px;
  border: none;
  border: 1px solid #1D36532B;
  border-radius: 7px;
  font-family: Roboto;
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
  text-align: left;
  color: #0D0D15;
  mix-blend-mode: normal;
  transition: 0.2s ease all;
}

.form__input--icon {
  padding-left: 40px;
}

.form__input:focus,
.form__input:active {
  outline: none;
}

.form__input::placeholder {
  color: #2A3541B2;
  font-weight: normal;
}

.form__placeholder {
  margin: 0;
  display: flex;
  align-items: center;
  top: 22px;
  left: 0;
  position: absolute;
  padding: 10px 12px;
  font-family: Roboto;
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
  color: #2A3541B2;
  font-weight: normal;
}

.form__placeholder svg {
  display: block;
  margin-right: 4px;
}

.form__input:-webkit-autofill,
.form__input:-webkit-autofill:hover,
.form__input:-webkit-autofill:focus {
  border: none;
  border: 1px solid #1D36532B;
  -webkit-text-fill-color: #0D0D15;
  -webkit-box-shadow: 5px 5px 5px 35px #fff inset !important;
}

.form__input:focus + .form__label {
  opacity: 1;
}

.form__input--special {
  margin-bottom: 0;
}

.form__input--error {
  border: 1px solid #EA3829;
}

.form__textarea {
  overflow: hidden;
  min-height: 72px;
  resize: none;
}

.form__addition-text {
  margin: 0;
  padding-left: 6px;
  height: 12px;
  width: 100%;
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 12px;
  letter-spacing: 0.4px;
  color: #EA3829;
}

.preloader {
  z-index: -1;
  display: none;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  animation: preloader-rotate 2s infinite linear;
}

.overlay {
  position: absolute;
  display: none;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: -1;
  background: #1D36532B;
}

.contact--sending .overlay {
  display: block;
  z-index: 5;
}

.contact--sending .preloader {
  display: block;
  z-index: 6;
}

.btn {
  padding: 12px;
  width: 100%;
  display: block;
  margin: 0 auto;
  border: none;
  font-family: Roboto;
  font-size: 16px;
  font-weight: 500;
  line-height: 20px;
  text-align: center;
  border-radius: 7px;
  color: #FFFFFF;
  background: #013187;
  cursor: pointer;
}

.form__success {
  z-index: -1;
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  width: calc(100vw - 32px);
  max-width: 1080px;
  box-sizing: border-box;
  padding: 16px;
  padding-top: 28px;
  background: #fff;
}

.form__success img {
  display: block;
  width: 100%;
  max-width: 400px;
  margin: 0 auto;
}

.success__btn {
  margin: 0;
  padding: 0;
  border: 0;
  background: transparent;
  box-shadow: none;
  display: block;
  position: absolute;
  right: 12px;
  top: 12px;
  cursor: pointer;
}

.success__btn svg {
  display: block;
}

.overlay__success {
  z-index: -1;
  display: none;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: #1D36532B;
}

.form__success--visible {
  display: block;
  z-index: 2;
}

.overlay__success--visible {
  display: block;
  z-index: 2;
}

.success__title {
  margin-bottom: 12px;
  font-family: Roboto;
  font-size: 24px;
  font-weight: 700;
  line-height: 26px;
  text-align: center;
  color: #0F172A;
}

.success__text {
  margin-bottom: 26px;
  font-family: Roboto;
  font-size: 16px;
  font-weight: 400;
  line-height: 17px;
  text-align: center;
}

@keyframes preloader-rotate {
  100% {
    transform: translateX(-50%) translateY(-50%) rotate(360deg);
  }
}

@media only screen and (min-width: 720px)  {
  .contact {
    padding-top: 24px;
    padding-bottom: 38px;
  }

  .contact__title {
    margin-bottom: 44px;
    font-size: 56px;
    line-height: 67px;
  }

  .form {
    width: 558px;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .form__item {
    width: calc(50% - 12px)
  }

  .form__item:last-child {
    width: 100%;
  }

  .form__textarea {
    width: 100%;
  }

  .btn {
    width: 282px;
    height: 58px;
  }

  .form__success--visible {
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
    padding: 70px 60px;
  }

  .success__left {
    width: 50%;
    margin-left: 20px;
  }

  .form__success img {
    width: calc(50% - 20px)
  }

  .success__title {
    margin-bottom: 20px;
    font-size: 48px;
    line-height: 52px;
  }

  .success__text {
    margin-bottom: 0;
    font-size: 36px;
    line-height: 39.6px;
  }
}
